> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nebius.com/llms.txt
> Use this file to discover all available pages before exploring further.

# List

> Lists all snapshots in a specific parent resource.



## OpenAPI

````yaml https://api.nebius.cloud/openapi.json get /compute/v1/disk-snapshots
openapi: 3.0.3
info:
  title: Nebius API
  version: version not set
servers:
  - url: https://api.nebius.cloud
security:
  - bearerAuth: []
tags:
  - name: nebius.ai.v1.EndpointService
  - name: nebius.ai.v1.JobService
  - name: nebius.applications.v1alpha1.K8sReleaseService
  - name: nebius.audit.v2.AuditEventExportService
  - name: nebius.audit.v2.AuditEventService
  - name: nebius.billing.v1.CalculatorService
  - name: nebius.billing.v1alpha1.CalculatorService
  - name: nebius.billing.v1alpha1.OneTimeExportService
  - name: nebius.capacity.v1.CapacityAllowanceService
  - name: nebius.capacity.v1.CapacityBlockGroupService
  - name: nebius.capacity.v1.CapacityIntervalService
  - name: nebius.capacity.v1.ResourceAdviceService
  - name: nebius.compute.v1.DiskService
  - name: nebius.compute.v1.DiskSnapshotService
  - name: nebius.compute.v1.FilesystemService
  - name: nebius.compute.v1.GpuClusterService
  - name: nebius.compute.v1.ImageService
  - name: nebius.compute.v1.InstanceService
  - name: nebius.compute.v1.MaintenanceService
  - name: nebius.compute.v1.NVLInstanceGroupService
  - name: nebius.compute.v1.NodeService
  - name: nebius.compute.v1.PlatformService
  - name: nebius.dns.v1.RecordService
  - name: nebius.dns.v1.ZoneService
  - name: nebius.iam.v1.AccessKeyService
  - name: nebius.iam.v1.AccessPermitService
  - name: nebius.iam.v1.AuthPublicKeyService
  - name: nebius.iam.v1.FederatedCredentialsService
  - name: nebius.iam.v1.FederationCertificateService
  - name: nebius.iam.v1.FederationService
  - name: nebius.iam.v1.GroupMembershipService
  - name: nebius.iam.v1.GroupService
  - name: nebius.iam.v1.InvitationService
  - name: nebius.iam.v1.ProfileService
  - name: nebius.iam.v1.ProjectService
  - name: nebius.iam.v1.ServiceAccountService
  - name: nebius.iam.v1.SessionManagementService
  - name: nebius.iam.v1.StaticKeyService
  - name: nebius.iam.v1.TenantService
  - name: nebius.iam.v1.TenantUserAccountService
  - name: nebius.iam.v1.TenantUserAccountWithAttributesService
  - name: nebius.iam.v2.AccessKeyService
  - name: nebius.iam.v2.ProjectService
  - name: nebius.iam.v2.TenantService
  - name: nebius.kms.v1.AsymmetricCryptoService
  - name: nebius.kms.v1.AsymmetricKeyService
  - name: nebius.kms.v1.SymmetricCryptoService
  - name: nebius.kms.v1.SymmetricKeyService
  - name: nebius.logging.agentmanager.v1.VersionService
  - name: nebius.logging.v1.LogExportService
  - name: nebius.maintenance.v1alpha1.MaintenanceService
  - name: nebius.mk8s.v1.ClusterService
  - name: nebius.mk8s.v1.NodeGroupService
  - name: nebius.mk8s.v1alpha1.ClusterService
  - name: nebius.mk8s.v1alpha1.NodeGroupService
  - name: nebius.msp.mlflow.v1alpha1.ClusterService
  - name: nebius.msp.postgresql.v1alpha1.BackupService
  - name: nebius.msp.postgresql.v1alpha1.ClusterService
  - name: nebius.mysterybox.v1.PayloadService
  - name: nebius.mysterybox.v1.SecretService
  - name: nebius.mysterybox.v1.SecretVersionService
  - name: nebius.quotas.v1.QuotaAllowanceService
  - name: nebius.registry.v1.ArtifactService
  - name: nebius.registry.v1.RegistryService
  - name: nebius.storage.v1.BucketService
  - name: nebius.storage.v1.TransferService
  - name: nebius.storage.v1alpha1.TransferService
  - name: nebius.tunnel.v1.TunnelService
  - name: nebius.vpc.v1.AllocationService
  - name: nebius.vpc.v1.NetworkService
  - name: nebius.vpc.v1.PoolService
  - name: nebius.vpc.v1.RouteService
  - name: nebius.vpc.v1.RouteTableService
  - name: nebius.vpc.v1.SecurityGroupService
  - name: nebius.vpc.v1.SecurityRuleService
  - name: nebius.vpc.v1.SubnetService
  - name: nebius.vpc.v1.TargetGroupService
  - name: nebius.vpc.v1alpha1.AllocationService
  - name: nebius.vpc.v1alpha1.NetworkService
  - name: nebius.vpc.v1alpha1.PoolService
  - name: nebius.vpc.v1alpha1.ScopeService
  - name: nebius.vpc.v1alpha1.SubnetService
paths:
  /compute/v1/disk-snapshots:
    get:
      tags:
        - nebius.compute.v1.DiskSnapshotService
      summary: List
      description: Lists all snapshots in a specific parent resource.
      operationId: DiskSnapshotService_List
      parameters:
        - in: query
          name: parentId
          schema:
            type: string
        - in: query
          name: pageSize
          schema:
            format: int64
            type: string
        - in: query
          name: pageToken
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/v1ListDiskSnapshotsResponse'
          description: A successful response.
components:
  schemas:
    v1ListDiskSnapshotsResponse:
      properties:
        items:
          items:
            $ref: '#/components/schemas/v1DiskSnapshot'
          type: array
        nextPageToken:
          type: string
      type: object
    v1DiskSnapshot:
      properties:
        metadata:
          $ref: '#/components/schemas/commonV1ResourceMetadata'
        spec:
          $ref: '#/components/schemas/v1DiskSnapshotSpec'
        status:
          $ref: '#/components/schemas/v1DiskSnapshotStatus'
      title: DiskSnapshot resource
      type: object
    commonV1ResourceMetadata:
      description: Common resource metadata.
      properties:
        createdAt:
          description: Timestamp indicating when the resource was created.
          format: date-time
          readOnly: true
          type: string
        id:
          description: Identifier for the resource, unique for its resource type.
          type: string
        labels:
          additionalProperties:
            type: string
          description: Labels associated with the resource.
          type: object
        name:
          description: Human readable name for the resource.
          type: string
        parentId:
          description: Identifier of the parent resource to which the resource belongs.
          type: string
        resourceVersion:
          description: >-
            Version of the resource for safe concurrent modifications and
            consistent reads.

            Positive and monotonically increases on each resource spec change
            (but *not* on each change of the

            resource's container(s) or status).

            Service allows zero value or current.
          format: int64
          type: string
        updatedAt:
          description: Timestamp indicating when the resource was last updated.
          format: date-time
          readOnly: true
          type: string
      required:
        - parentId
      type: object
    v1DiskSnapshotSpec:
      properties:
        description:
          description: Arbitrary information about this snapshot provided by user.
          type: string
        sourceDiskId:
          description: >-
            Identifier of the source disk. May become stale if the disk is
            deleted.
          type: string
      required:
        - sourceDiskId
      type: object
    v1DiskSnapshotStatus:
      properties:
        contentSizeBytes:
          description: |-
            Logical size of the snapshot content.
            This is the size of a disk that would be created from this snapshot.
          format: int64
          type: string
        lockState:
          $ref: '#/components/schemas/v1DiskSnapshotStatusLockState'
        sourceCpuArchitecture:
          $ref: '#/components/schemas/v1DiskSnapshotStatusCPUArchitecture'
        state:
          $ref: '#/components/schemas/v1DiskSnapshotStatusState'
        storageSizeBytes:
          description: >-
            Physical storage used by this snapshot in the snapshot backend.

            This value is used for billing and quota and may change over time as
            the snapshot chain evolves

            (e.g., when earlier snapshots are deleted and data gets
            re-attributed).

            Currently is equal to content_size_bytes, as incremental snapshots
            are not supported yet.
          format: int64
          type: string
      type: object
    v1DiskSnapshotStatusLockState:
      properties:
        disks:
          description: >-
            The snapshot is locked for deletion while disk is being created from
            this snapshot.

            Here is the list of these disks.
          items:
            type: string
          type: array
      type: object
    v1DiskSnapshotStatusCPUArchitecture:
      default: UNDEFINED
      enum:
        - UNDEFINED
        - AMD64
        - ARM64
      title: >-
        Right now UNDEFINED is an alias for AMD64, but that might change in the
        future
      type: string
    v1DiskSnapshotStatusState:
      default: UNSPECIFIED
      enum:
        - UNSPECIFIED
        - CREATING
        - READY
        - DELETING
        - ERROR
      title: All possible states for DiskSnapshot resource
      type: string
  securitySchemes:
    bearerAuth:
      description: The Authorization header expects a Bearer token.
      scheme: bearer
      type: http

````